/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

//*****************************************************************************
// CAPTIVATE_MUTUALEMC_Demo.h
//
//! Contains thermostat application typedefs and initialization function
//!
//! \author: a0273983, Created on: Aug 3, 2015
//! \author: a0224638, Revised on: Sept 8, 2015
//!
//*****************************************************************************

//*****************************************************************************
//! \addtogroup Thermostat_UI_Demo
//! @{
//*****************************************************************************

#ifndef TIDM_CAPTIVATE_THERMOSTAT_DEMO_CAPTIVATE_MUTUALEMC_DEMO_H_
#define TIDM_CAPTIVATE_THERMOSTAT_DEMO_CAPTIVATE_MUTUALEMC_DEMO_H_

//*****************************************************************************
// Defines
//*****************************************************************************

//! \brief POWER_TESTING keeps LEDs from turning on while the demo is running.
//!        it is used to obtain an accurate measure of application power
//!        consumption.
//#define POWER_TESTING

//*****************************************************************************
// Typdefs
//*****************************************************************************

//! \brief FanState enumeration contains all valid states for the fan
//!        controlled by the thermostat UI
//!
typedef enum
{
	FanState_Off,
	FanState_On,
	FanState_Auto
} FanState;

//! \brief UnitState enumeration contains all valid states for the heating/cooling
//!        unit controlled by the thermostat UI
//!
typedef enum
{
	UnitState_Off,
	UnitState_Heat,
	UnitState_Cool
} UnitState;

//*****************************************************************************
// Function prototypes
//*****************************************************************************

//! \brief Function called in main to initialize the system to run demo
//!        thermostat UI application
extern void ThermostatUI_initSystem(void);

//*****************************************************************************
// Close the Doxygen group.
//! @}
//*****************************************************************************

#endif /* TIDM_CAPTIVATE_THERMOSTAT_DEMO_CAPTIVATE_MUTUALEMC_DEMO_H_ */
