/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

//*****************************************************************************
// main.c
// TIDM-CAPTIVATE-THERMOSTAT-UI Firmware Demo
//
// \brief This demo runs an 8-button, capacitive touch user interface
//        that simulates a thermostat UI.
//
// \version 1.00.00.00
//
//*****************************************************************************

#include <msp430.h>              // Generic MSP430 Device Include
#include <driverlib.h>           // MSPWare Driver Library
#include <captivate.h>           // CapTIvate Touch Software Library
#include <Thermostat_UI_Demo.h>
#include "CAPT_UserConfig.h"     // CapTIvate Auto-Generated User Configuration
#include "CAPT_App.h"            // CapTIvate Application Code
#include "CAPT_BSP.h"            // CapTIvate EVM Board Support Package


void main(void)
{
	WDT_A_hold(WDT_A_BASE);
	__bis_SR_register(GIE);

	// Initialize system clocks and I/O, set default UI state, and register callback function
	ThermostatUI_initSystem();

	// Initialize CapTIvate application and scan timer
	CAPT_appStart();

	while(1)
	{
		// Update Parameters
		CAPT_appHandler();
		// Go to LPM if no flags are set
		CAPT_appSleep();

	} // End background loop
} // End main()
