//*****************************************************************************
// I2CMaster_Definitions.h
//
// \version __I2CMASTER_LIB_BUILD_VERSION__
// Released on __I2CMASTER_LIB_BUILD_DATE__
//
//*****************************************************************************

#ifndef I2CMASTER_DEFINITIONS_H_
#define I2CMASTER_DEFINITIONS_H_

#include <msp430.h>
#include <stdint.h>
#include <stdbool.h>

//*****************************************************************************
//
//! \def I2CMASTER__ENABLE controls whether the I2C master port is included
//! during build.  To use the I2C master port, set this definition to true.
//
//*****************************************************************************
#define I2CMASTER__ENABLE				                                 (true)

//*****************************************************************************
//
//! \def I2CMASTER__EUSCI_B_PERIPHERAL defines the MSP430 base address of the
//! eUSCI_B instance being used with this I2C master port.
//
//*****************************************************************************
#define I2CMASTER__EUSCI_B_PERIPHERAL	                        (EUSCI_B0_BASE)

//*****************************************************************************
//
//! \def I2CMASTER__PRESCALER
//
//*****************************************************************************
#define I2CMASTER__PRESCALER	                                            (2)

//*****************************************************************************
//
//! \def I2CMASTER__LPMx_bits defines the low power mode to enter
//! when waiting for a transmission to complete.
//
//*****************************************************************************
#define I2CMASTER__LPMx_bits				                        (LPM3_bits)

#endif /* I2CMASTER_I2CMASTER_DEFINITIONS_H_ */
