//*****************************************************************************
//! msp_wm430fr4_menu.h
//
//! Function Declarations.
//
//! \author Texas Instruments
//! \author A0222632
//
//! \version Release 1
//
//*****************************************************************************

#ifndef MSP_TS430FR4_MENU_H_
#define MSP_TS430FR4_MENU_H_

//*****************************************************************************
// Typedefs
//*****************************************************************************
typedef enum
{
	eStandby = 0x00,
	eActive = 0x01,
}tSystemStatus;

//*****************************************************************************
// Globals
//*****************************************************************************
extern bool Timer_disp;
extern tSystemStatus SystemStatus;
extern tSettingMode SettingMode;
extern tTSMode	TSMode_set;
extern tTSMode TSMode_saved;
extern tFanLevel FanLevel;
extern tFanLevel FanLevel_onSetting;
extern tBatteryvol BatteryVol;
extern uint8_t SettingTemp;
extern tTimeformat Timeformat;
extern tTempformat Tempformat;
extern tSwingStatus SwingStatus;
extern uint8_t Power_led_counter;

extern bool Menu_buttonPressFlag;

//*****************************************************************************
// Function Prototypes
//*****************************************************************************
extern void Menu_updateLCD(uint8_t pressedButton);

#endif /* MSP_TS430FR4_MENU_H_ */
